Bug 1314414 - 'tripleo.sh -undercloud' install fails with Unicode decode error
'tripleo.sh -undercloud' install fails with Unicode decode error
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack (Show other bugs)
8.0 (Liberty)
x86_64 Linux
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: James Slagle
Shai Revivo
Depends On:
  Show dependency treegraph
Reported: 2016-03-03 09:28 EST by Russell Tweed
Modified: 2017-04-12 09:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-14 11:45:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rhos-release-8-director.repo (2.05 KB, text/plain)
2016-03-03 09:34 EST, Russell Tweed
no flags Details
Full logfile from 'tripleo.sh -undercloud' run (157.42 KB, text/plain)
2016-03-03 09:36 EST, Russell Tweed
no flags Details
rhos-release-rhel-7.2.repo (1.14 KB, text/plain)
2016-03-03 09:40 EST, Russell Tweed
no flags Details
Full logfile from 'tripleo.sh -undercloud' run (157.70 KB, text/plain)
2016-03-03 10:42 EST, Russell Tweed
no flags Details

  None (edit)
Description Russell Tweed 2016-03-03 09:28:54 EST
Description of problem:

Following the instructions from here: http://etherpad.corp.redhat.com/osp8-rhop-release

...the install process can't proceed beyond line #38. It stops with the following error:

line 38: tripleo.sh --undercloud
install fails with the following:

+ set -eu
+ set -o pipefail
+ '[' -z '/etc/yum.repos.d/rhos-release-8-director.repo /etc/yum.repos.d/rhos-release-rhel-7.2.repo' ']'
+ for file in '$DIB_YUM_REPO_CONF'
+ '[' '!' -f /etc/yum.repos.d/rhos-release-8-director.repo ']'
+ sudo cp -L -f /etc/yum.repos.d/rhos-release-8-director.repo /tmp/instack.vzZNiu/mnt/etc/yum.repos.d
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 773, in install
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 657, in _run_instack
    _run_live_command(args, instack_env, 'instack')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 346, in _run_live_command
    line = process.stdout.readline().decode()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 4: ordinal not in range(128)
Command 'instack-install-undercloud' returned non-zero exit status 1

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Follow instructions at http://etherpad.corp.redhat.com/osp8-rhop-release

Actual results:

Error as above

Expected results:

A completed Undercloud install

Additional info:
Comment 2 Russell Tweed 2016-03-03 09:34 EST
Created attachment 1132812 [details]
Comment 3 Russell Tweed 2016-03-03 09:36 EST
Created attachment 1132813 [details]
Full logfile from 'tripleo.sh -undercloud' run
Comment 4 Russell Tweed 2016-03-03 09:40 EST
Created attachment 1132816 [details]
Comment 5 Russell Tweed 2016-03-03 09:41:20 EST
Note this is running on RHEL7 with the following versions:

[stack@pod5-infra1 yum.repos.d]$ uname -a
Linux pod5-infra1.cloud.practice.redhat.com 3.10.0-229.14.1.el7.x86_64 #1 SMP Tue Aug 25 11:21:22 EDT 2015 x86_64 x86_64 x86_64 GNU/Linux

[stack@pod5-infra1 yum.repos.d]$ rpm -qa |grep -i release
Comment 6 Russell Tweed 2016-03-03 10:42 EST
Created attachment 1132846 [details]
Full logfile from 'tripleo.sh -undercloud' run
Comment 7 James Slagle 2016-03-05 12:20:25 EST
tripleo.sh is not meant for use with osp-d. it really only works when using the upstream tripleo bits directly.

does your issue reproduce on a clean environment where tripleo.sh has never been run?
Comment 8 Mike Burns 2016-04-07 17:14:44 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.